
% This program should not be run directly. It is called by other programs
% Assumption: x,t,n,p,L, Nw1, Nw2, dt, As and N are defined


% Spectrogram
wf=hanning(Nw1);
x1=[zeros((Nw1-1)/2,1);x;zeros((Nw1-1)/2,1)];
tau=0:Nw1-1;
SP=zeros(Nw2,N);
for k=1:N
    xx=x1(k+tau).*wf;
    SP(:,k)=fftshift(abs(fft(xx,Nw2)/Nw2).^2);
end


% Inverse Radon and measures
Na=length(As);
    M1=zeros(Na,1);
    for k=1:Na
        IR=iradon(SP,180/pi*As(k)*t,Nw2);
        IR=(IR+abs(IR))/2;
        EIR=sqrt(sum(sum(IR.^2)));
        M1(k)=(sum(sum(abs(IR).^(1/p))).^p)/EIR;
                M1(k)=max(max(IR));
    end

% Find minima positions and corresponding alpha
[ddd,mp1]=max(M1);

Alpha1=As(mp1)

IR1a=iradon(SP,180/pi*Alpha1*t,Nw2);
IntF=1; % interpolation factor
IR1a=interp2(IR1a,IntF,'cubic');
IntF=2^IntF;
IR1a=abs(IR1a);

% Displaying results

f=(-(Nw2-1)/2:(Nw2-1)/2)/Nw2/dt;

subplot(6,2,kkk);kkk=kkk+1;
imagesc(t,f,SP)
axis xy
%xlabel('time')
ylabel('frequency')
text(max(t),max(f),['(','a'+kkk-2,') ^ '],'Color',[1,1,1],'HorizontalAlignment','right','VerticalAlignment','top','FontWeight','bold')

subplot(6,2,kkk);kkk=kkk+1;
h=plot(As,M1,As(mp1),M1(mp1),'ro');
set(h,'MarkerSize',3);
%xlabel('\alpha')
ylabel('M(\alpha)')
%axis([0,15,20,80])

ax1=axis;

ax=ax1;

text(ax(2),ax(4),['(','a'+kkk-2,') ^ '],'Color',[0,0,0],'HorizontalAlignment','right','VerticalAlignment','top','FontWeight','bold')
[ddd,pp1]=max(IR1a);
[ddd,px]=max(ddd);
py=pp1(px);
p0=(size(IR1a,1)+1)/2;

Aest1=sqrt((px-p0)^2+(py-p0)^2)/Nw2/dt/IntF;
Theta1=atan2(py-p0,px-p0)*180/pi;
